/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
/**
 * @class CQ.menu.TitleSeparator
 * @extends CQ.Ext.menu.Separator
 * Adds a separator bar to a menu, used to divide logical groups of menu items. The separator can additionally carry
 * a title.
 * @constructor
 * @param {Object} config Configuration options
 * @xtype titleseparator
 */


CQ.menu.TitleSeparator = CQ.Ext.extend(CQ.Ext.menu.Separator, {

    /**
     * @cfg {String} title The title to display with the separator.
     */
    title: null,

    constructor: function (config) {
        config = config || { };
        CQ.Util.applyDefaults(config, {
            "title": "&#160;"
        });
        CQ.menu.TitleSeparator.superclass.constructor.call(this, config);
    },

    // private
    onRender: function (li) {
        var s = document.createElement("span");
        s.className = this.itemCls + " cq-menu-title-sep";
        s.innerHTML = this.title;
        this.el = s;
        li.addClass("x-menu-sep-li");
        li.addClass("cq-menu-title-sep-li");
        CQ.Ext.menu.Separator.superclass.onRender.apply(this, arguments);
    }
});
CQ.Ext.reg('titleseparator', CQ.menu.TitleSeparator);
