<%@ page contentType="text/html" pageEncoding="utf-8"%>
<%@ page import="com.smartling.proxy.context.connection.ContextConnectionManager" %>
<%@ include file="/libs/foundation/global.jsp"%>

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<%
    ContextConnectionManager connectionManager = sling.getService(ContextConnectionManager.class);
    if (connectionManager != null) {
        pageContext.setAttribute("connections", connectionManager.getConnections());
    }
%>

<!DOCTYPE html>
<html>

<head>
    <title>Context Connections</title>
    <meta http-equiv="Content-Type" content="text/html; utf-8" />
    <cq:includeClientLib categories="cq.wcm.edit,cq.replication"/>
    <script src="/libs/cq/ui/resources/cq-ui.js" type="text/javascript"></script>
    <cq:includeClientLib categories="apps.smartling.pages.connections"/>
</head>

<body>
    <h1>Context Connections</h1>
    <c:if test="${empty connections}">
        <p>Context is not initialized yet or no projects configured.</p>
    </c:if>

    <c:forEach items="${connections}" var="connection">
        <h2 class="context-connection-title">
            <span data-id="${connection.projectId}" class="context-connection-title__toggle context-connection-title__toggle-${connection.active ? 'on' : 'off'}"></span>
            Project #${connection.projectId}
        </h2>
        <p>Connection is <strong>${connection.active ? 'Active' : 'Inactive'}</strong>. See log below.</p>
        <ul class="context-connection__log">
            <c:forEach items="${connection.log}" var="entry" begin="0" end="3">
                <li class="context-connection__log-entry ${entry.error ? 'context-connection__log-entry-error' : ''}">
                    <span class="context-connection__log-entry__timestamp">[<fmt:formatDate value="${entry.timestamp}" type="BOTH"/>]</span> ${entry.message}
                </li>
            </c:forEach>
        </ul>
    </c:forEach>
</body>

</html>